import OSC
import time, threading



# TO SEND OSC MESSAGES
oscClient = OSC.OSCClient()
oscClient.connect(  ('127.0.0.1',5000)  )



# TO RECEIVE OSC MESSAGES
oscServer = OSC.OSCServer(  ('',12000)  )

def dummy_handler(addr, tags, stuff, source):
	pass
	
def server_handler(addr, tags, stuff, source):
    print "received OSC "+addr+" "+str(stuff)
    msg = OSC.OSCMessage()
    msg.setAddress("/millumin/action/launchColumn")
    msg.append(stuff[0])
    oscClient.send(msg)


oscServer.addMsgHandler("default", dummy_handler)
oscServer.addMsgHandler("/millumin/board/launchedColumn", server_handler)
st = threading.Thread( target = oscServer.serve_forever )
st.start()



# WAITING KEYBOARD INPUT TO END THE SCRIPT
raw_input("Press ENTER to exit ...\n")
oscClient.close()
oscServer.close()
st.join()

